<?php

$dsn = 'mysql://webdb:passwd@localhost/webdb';

if (empty($_POST)) {
	print '<html><body><form action="' . $_SERVER["PHP_SELF"] . '" method="post">';
	print '<input type="text" name="url">';
	print '<input type="submit" name="submit">';
	print '</form></body></html>';
} else {
	require_once ('Benchmark/Timer.php');
	$timer = new Benchmark_Timer();
	$timer->start();
	
	require_once ('MDB.php');
	require_once ('HTTP/Request.php');
	require_once ('Validate.php');
	
	if (Validate::url($_POST['url'])) {
		$url = $_POST['url'];
	} else {
		die ('url format error');
	}
	
	if (MDB::isError($mdb = &MDB::connect($dsn))) {
		die ($mdb->getMessage());
	}
	$sth = $mdb->prepareQuery(
		"INSERT INTO hogetbl(hoge2) VALUES (?)"
	);
	$types = array('text');
	
	$req = &new HTTP_Request($url);
	$req->sendRequest();
	$body = $req->getResponseBody();
	
	if (preg_match_all('/href=(?:\'|")(.*?)(?:\'|")/is',$body,$matches)) {
		for ($i = 0,$count = sizeof($matches[1]);$i < $count;$i++) {
			$mdb->execute($sth,NULL,array($matches[1][$i]),$types);
		}
	}
	
	$timer->stop();
	$timer->display();
}
?>